View Issue Details

IDProjectCategoryView StatusLast Update
0003865SymmetricDSImprovementpublic2019-03-14 08:48
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.0 
Target Version3.10.0Fixed in Version3.10.0 
Summary0003865: Improve logging readability and appropriate levels
DescriptionGoals to improve logging:

- Reduce repetition that clutters
- Add more context about the batch and node involved
- Avoid logging stack traces for exceptions that are understood
- Set level to only warn user when we suspect something is quite wrong

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 38f67a72

2019-01-28 16:26:00

admin

Details Diff
0003865: Improve logging readability and appropriate levels
0003865
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AbstractService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/IncomingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/MultiBatchStagingWriter.java Diff File

SymmetricDS: 3.10 61611d48

2019-01-28 16:29:59

admin

Details Diff
0003865: Improve logging readability and appropriate levels0003865:
Improve logging readability and appropriate levels

0003865
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AcknowledgeService.java Diff File

SymmetricDS: 3.10 1e7fa740

2019-01-29 15:04:00

admin

Details Diff
0003865: Improve logging readability and appropriate levels
0003865
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AcknowledgeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/ConcurrentConnectionManager.java Diff File

SymmetricDS: 3.10 88a7ccf2

2019-01-30 10:25:16

admin

Details Diff
0003865: Improve logging readability and appropriate levels
0003865
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File

SymmetricDS: 3.10 cb8cb691

2019-01-30 10:27:37

admin

Details Diff
0003865: Improve logging readability and appropriate levels
0003865
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriterConflictResolver.java Diff File

SymmetricDS: 3.10 0708693f

2019-01-30 10:29:02

admin

Details Diff
0003865: Improve logging readability and appropriate levels
0003865
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/stage/SimpleStagingDataWriter.java Diff File

SymmetricDS: 3.10 c67f9f71

2019-01-30 12:10:20

admin

Details Diff
0003865: Improve logging readability and appropriate levels
0003865
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AcknowledgeService.java Diff File

SymmetricDS: 3.10 abade6eb

2019-02-13 10:30:49

admin

Details Diff
0003865: Improve logging readability and appropriate levels
0003865
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/RemoteNodeStatus.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PullService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PushService.java Diff File

SymmetricDS: 3.10 8c5984a4

2019-03-06 16:37:15

elong

Details Diff
0003865: Improve logging readability and appropriate levels
0003865
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ManageIncomingBatchListener.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/sql/TableNotFoundException.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/AbstractDatabaseWriter.java Diff File

Issue History

Date Modified Username Field Change
2019-01-28 12:49 elong New Issue
2019-01-28 12:49 elong Status new => assigned
2019-01-28 12:49 elong Assigned To => elong
2019-01-28 17:00 admin Changeset attached => SymmetricDS 3.10 61611d48
2019-01-28 17:00 admin Changeset attached => SymmetricDS 3.10 38f67a72
2019-01-29 16:00 admin Changeset attached => SymmetricDS 3.10 1e7fa740
2019-01-30 11:00 admin Changeset attached => SymmetricDS 3.10 0708693f
2019-01-30 11:00 admin Changeset attached => SymmetricDS 3.10 cb8cb691
2019-01-30 11:00 admin Changeset attached => SymmetricDS 3.10 88a7ccf2
2019-01-30 13:00 admin Changeset attached => SymmetricDS 3.10 c67f9f71
2019-02-07 16:19 elong Status assigned => resolved
2019-02-07 16:19 elong Resolution open => fixed
2019-02-07 16:19 elong Fixed in Version => 3.10.0
2019-02-13 14:00 admin Changeset attached => SymmetricDS 3.10 abade6eb
2019-03-06 17:00 elong Changeset attached => SymmetricDS 3.10 8c5984a4
2019-03-14 08:48 admin Status resolved => closed